## ros-humble-rmf-robot-sim-common 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_robot_sim_common)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(rmf_fleet_msgs REQUIRED)
find_package(rmf_dispenser_msgs REQUIRED)
find_package(rmf_ingestor_msgs REQUIRED)
find_package(rmf_building_map_msgs REQUIRED)

include(GNUInstallDirs)

###############################
# Utils                       #
###############################

add_library(rmf_robot_sim_utils SHARED ${PROJECT_SOURCE_DIR}/src/utils.cpp)

target_link_libraries(rmf_robot_sim_utils
  rclcpp::rclcpp
  ${Eigen3_LIBRARIES}
)

target_include_directories(rmf_robot_sim_utils
  PUBLIC
    ${rclcpp_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

##################################
# TeleportIngestor Plugin Common #
##################################

add_library(ingestor_common SHARED ${PROJECT_SOURCE_DIR}/src/ingestor_common.cpp)

target_link_libraries(ingestor_common
    rmf_robot_sim_utils
)

ament_target_dependencies(ingestor_common
    rmf_fleet_msgs
    rmf_building_map_msgs
    rmf_ingestor_msgs
    rclcpp
    std_msgs
    Eigen3
)

target_include_directories(ingestor_common
  PUBLIC
    ${EIGEN3_INCLUDE_DIRS}
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

###################################
# TeleportDispenser Plugin Common #
###################################

add_library(dispenser_common SHARED ${PROJECT_SOURCE_DIR}/src/dispenser_common.cpp)

target_link_libraries(dispenser_common
    rmf_robot_sim_utils
)

ament_target_dependencies(dispenser_common
    rmf_fleet_msgs
    rmf_building_map_msgs
    rmf_dispenser_msgs
    rclcpp
    std_msgs
    Eigen3
)

target_include_directories(dispenser_common
  PUBLIC
    ${EIGEN3_INCLUDE_DIRS}
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

###################################
# Readonly Plugin Common #
###################################

add_library(readonly_common SHARED ${PROJECT_SOURCE_DIR}/src/readonly_common.cpp)

target_link_libraries(readonly_common
    rmf_robot_sim_utils
)

ament_target_dependencies(readonly_common
    rmf_fleet_msgs
    rmf_building_map_msgs
    rclcpp
    std_msgs
    Eigen3
)

target_include_directories(readonly_common
  PUBLIC
    ${EIGEN3_INCLUDE_DIRS}
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

###################################
# Slotcar Plugin Common           #
###################################

add_library(slotcar_common SHARED ${PROJECT_SOURCE_DIR}/src/slotcar_common.cpp)

ament_target_dependencies(slotcar_common
    Eigen3
    rmf_fleet_msgs
    rmf_building_map_msgs
    rclcpp
    std_msgs
    geometry_msgs
    tf2_ros
)

target_include_directories(slotcar_common
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${EIGEN3_INCLUDE_DIRS}
)

target_link_libraries(slotcar_common
    rmf_robot_sim_utils
)

###############################
# Install Targets             #
###############################
ament_export_dependencies(
  Eigen3
  rclcpp
  geometry_msgs
  std_msgs
  tf2_ros
  rmf_fleet_msgs
  rmf_dispenser_msgs
  rmf_ingestor_msgs
  rmf_building_map_msgs
)

ament_export_include_directories(include)

# cmake is sensitive to the order of these ament_export_targets calls
# each library must be listed after any other libraries that it depends on
ament_export_targets(rmf_robot_sim_utils HAS_LIBRARY_TARGET)
ament_export_targets(ingestor_common HAS_LIBRARY_TARGET)
ament_export_targets(dispenser_common HAS_LIBRARY_TARGET)
ament_export_targets(readonly_common HAS_LIBRARY_TARGET)
ament_export_targets(slotcar_common HAS_LIBRARY_TARGET)

install(
  TARGETS ingestor_common
  EXPORT ingestor_common
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  TARGETS dispenser_common
  EXPORT dispenser_common
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  TARGETS readonly_common
  EXPORT readonly_common
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  TARGETS rmf_robot_sim_utils
  EXPORT rmf_robot_sim_utils
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  TARGETS slotcar_common
  EXPORT slotcar_common
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-robot-sim-common (2.0.2-2bookworm) bookworm; urgency=high



 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-humble-rmf-robot-sim-common (2.0.1-2bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Fix eigen not found when building rpm (#102 <https://github.com/open-rmf/rmf_simulation/pull/102>)
  * Fix library linking (#97 <https://github.com/open-rmf/rmf_simulation/pull/97>)
  * Contributors: Esteban Martinena Guerrero, Grey, Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-rmf-robot-sim-common (2.0.0-2bookworm) bookworm; urgency=high

  * Fix spurious emergency stop behavior when robot is moving backwards (#82 <https://github.com/open-rmf/rmf_simulation/pull/82>)
  * Reduce terminal printouts from slotcar (#73 <https://github.com/open-rmf/rmf_simulation/pull/73>)
  * Change to use a pure pursuit controller for ackermann vehicles (#71 <https://github.com/open-rmf/rmf_simulation/pull/71>)
  * Update robot's current level only after the lift has finished moving (#64 <https://github.com/open-rmf/rmf_simulation/pull/64>)
  * Make ackermann vehicles standardized with RMF stack (#49 <https://github.com/open-rmf/rmf_simulation/pull/49>)
  * Change parameter tag from holonomic to steering (#46 <https://github.com/open-rmf/rmf_simulation/pull/46>)
  * Contributors: Grey, Luca Della Vedova, Marco A. Gutiérrez, Morgan Quigley, Yadunund, chianfern, ddengster

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-humble-rmf-robot-sim-common (1.3.0-2bookworm) bookworm; urgency=high

  * support reversible slotcar (#38 <https://github.com/open-rmf/rmf_simulation/pull/38>)
  * Nonholonomic slotcar turning fixes, add turning multiplier offset parameter, rename compute_ds variables (#41 <https://github.com/open-rmf/rmf_simulation/pull/41>)
  * Support nonholonomic movement for slotcar (#33 <https://github.com/open-rmf/rmf_simulation/pull/33>)
  * Fix/dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Changes and corrections to support ROS 2 Galactic (#23 <https://github.com/open-rmf/rmf_simulation/pull/23>)
  * Start using ros-tooling for build and test workflow, added coverage, tsan (#14 <https://github.com/open-rmf/rmf_simulation/pull/14>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Do not drain battery when robot is in the vicinity of the charger (#18 <https://github.com/open-rmf/rmf_simulation/pull/18>)
  * Skip RobotState if level_name is empty (#16 <https://github.com/open-rmf/rmf_simulation/pull/16>)
  * Log as debug (#12 <https://github.com/open-rmf/rmf_simulation/pull/12>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/pull/11>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Package Renames (#2 <https://github.com/open-rmf/rmf_simulation/pull/2>)
  * Contributors: Aaron Chong, Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, Yadunund, chianfern, ddengster

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-robot-sim-common
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-eigen3-cmake-module, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rmf-building-map-msgs, ros-humble-rmf-dispenser-msgs, ros-humble-rmf-fleet-msgs, ros-humble-rmf-ingestor-msgs, ros-humble-std-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-robot-sim-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rmf-building-map-msgs, ros-humble-rmf-dispenser-msgs, ros-humble-rmf-fleet-msgs, ros-humble-rmf-ingestor-msgs, ros-humble-std-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Common utility functions for Gazebo-classic and Gazebo RMF plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-robot-sim-common//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-robot-sim-common//opt/ros/humble/opt/rmf_robot_sim_common/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
